# docker-nextcloud-extended

[![Docker Pulls](https://img.shields.io/docker/pulls/jiriks74/nextcloud-extended.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=pulls&logo=docker)](https://hub.docker.com/r/jiriks74/nextcloud-extended)
[![Docker Stars](https://img.shields.io/docker/stars/jiriks74/nextcloud-extended.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=stars&logo=docker)](https://hub.docker.com/r/jiriks74/nextcloud-extended)
[![Docker Size](https://img.shields.io/docker/image-size/jiriks74/nextcloud-extended/latest.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=Size&logo=docker)](https://hub.docker.com/r/jiriks74/nextcloud-extended)


Nextcloud's docker image with extra utilities

## Image availabe on [DockerHub](https://hub.docker.com/repository/docker/jiriks74/nextcloud-extended/general)

## Utilities added

- `ffmpeg` - Used by [Video converter](https://github.com/PaulLereverend/NextcloudVideo_Converter) app
- `aria2` and `youtube-dl` - Used by [NCDownloader](https://github.com/shiningw/ncdownloader) app
- `libmagickcore-dev` - To fix `Module php-imagick in this instance has no SVG support` error
- `libbz2-dev` PHP module - To fix `This instance is missing some recommended PHP modules. For improved performance and better compatibility it is highly recommended to install them: bz2`

## Tips

### Cron job

If you're getting error simmilar to `Last job execution ran a day ago. Something seems wrong.`
try to add this to your cron tab (`sudo crontab -e`):

```crontab
0,5,10,15,20,25,30,35,40,45,50,55 * * * * docker exec -u www-data <container_name> php -f /var/www/html/cron.php
```

- *Of course don't forget to change the `<container_name>` to your nextcloud's container name
(eg. `docker-nextcloud_app`)*
